package it.enea.cruise.dto;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;


@Getter
@Setter
@NoArgsConstructor
@ToString
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ParametricQueryDTO {
	
	private String description;
	private Integer queryID;
	private String name;
	private String sql;
	private String queryType;
	private List<QueryParameterDTO> parameters;
	

}
