package it.enea.cruise.dto;

import com.fasterxml.jackson.annotation.JsonInclude;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@NoArgsConstructor
@ToString
@JsonInclude(JsonInclude.Include.NON_NULL)
public class QueryParameterDTO {
	
	private String description;
	private String example;
	private Long parameterId;
	private String name;
	private String type;
	private String familyType;
	private String unitOfMeasure;
	private String inOut;

}
