package it.enea.cruise.model.user;

import com.fasterxml.jackson.annotation.JsonIgnore;

import jakarta.persistence.*;


@Entity
@Table(name = "flows_communities")
public class FlowCommunity {
	@EmbeddedId
	@JsonIgnore
	private FlowCommunityId id = new FlowCommunityId();

	@ManyToOne
	@JoinColumn(name = "flowid", insertable = false, updatable = false)
	/*@MapsId("flowid")*/
	private Flow flow;

	@ManyToOne
	@JoinColumn(name = "communityid", insertable = false, updatable = false)
	/*@MapsId("communityid")*/
	private Community community;

	@Column(name = "accountconsumption")
	private String accountconsumption;
}
