import {MessageService} from "primeng/api";

export class Community {
    communityid?: string;
    communityName?: string;
    description?: string;
    wallet?: string;
    georeferencex?: number;
    georeferencey?: number;
    
    
    public constructor(init?:Partial<Community>) {
        Object.assign(this, init);
    }

    static createDefaultUserCommunityEntry(name: string) {
        const result  = new Community();
        result.communityid = "my_communities";
        result.communityName = name
        return result;
    }
}

