import { Injectable } from '@angular/core';
import {Community} from "../models/Community";
import {environment} from "../../environments/environment";
import {HttpClient} from "@angular/common/http";

@Injectable({
  providedIn: 'root'
})
export class CommunityService {

  constructor(private http: HttpClient) { }

  getCommunities() {
    return this.http.get<Community[]>(environment.baseUrl + "/lecservice/listCommunities");

  }
}
