import {DatasourceConfiguration, Widget} from "../../../Widget";
import {Community} from "../../../../models/Community";

export class MapWidget extends Widget {
    markers?: MapMarker[]  = [];

    public constructor(init?: Partial<MapWidget>) {
        super();
        Object.assign(this, init);
        this.type = "MAP";
    }
}

export interface MapMarker {
    kpis?: DatasourceConfiguration[]
    communityid?: string;
    showDevices?: boolean;
}

// TODO: Use if more attributes are needed for the datasource configuration
/*export interface KpiConfiguration {
    queryId?: string;
    label?: string;
    description?: string;
    datasourceConfiguration?: DatasourceConfiguration;
}*/
