package enea.lecservice.widgets.map;

import com.fasterxml.jackson.annotation.JsonTypeName;
import enea.lecservice.models.dto.CommunityDTO;
import enea.lecservice.models.dto.DatasourceConfiguration;
import enea.lecservice.widgets.Widget;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.experimental.SuperBuilder;
import java.util.ArrayList;
import java.util.List;

@SuperBuilder
@Getter
@Setter
@NoArgsConstructor
@JsonTypeName("MAP")
public class MapWidget extends Widget {
    protected List<MapMarker> markers = new ArrayList<>();


    @Getter
    @Setter
    public static class MapMarker {
        protected List<DatasourceConfiguration> kpis = new ArrayList<>();
        protected String communityid;
        protected boolean showDevices = false;
    }
}
