package it.enea.cruise.dto;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;


@Getter
@Setter
@NoArgsConstructor
@ToString
@JsonInclude(JsonInclude.Include.NON_NULL)
public class LocalUserDTO {

	
	private Long userid;
	private String subject;
	
	private String name;
	private String surname;
	private String organization;
	private UserToken token;
	
	private String email;
	private String password;
	
	private String phone;
	
	private List<RoleDTO> userroles;
	
	private List<CommunityDTO> usercommunities;
	
	private List<DeviceDTO> userdevices;
	
	private List<String> authorities;
	
	private boolean newUser;
}
