package it.enea.cruise.dto;

import java.util.List;


import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class TableMetadataDTO {

	@JsonProperty("code")
	private String tableName;
	
	@JsonProperty("descriptionShort")
	private String tableDescription;
	
	@JsonProperty("descriptionLong")
	private String tableDescriptionLong;
		
	private Long id;
	
	
	@JsonProperty("fields")
	private List<MetadataDTO> metadata;
	
}
