package it.enea.cruise.model.data;

import java.util.Date;

import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;

import com.fasterxml.jackson.annotation.JsonInclude;

import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
@Entity
@Table(name = "vw_counterreadingusers")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class DataConsumption {

	@Id
	private Integer ctid;
	
	private Integer communityid;
	private Long userid;
	private Integer flowid;
	private String deviceid;
	
	private Double current;
	private Double voltage;
	private Double powactive;
	private Double powreactive;
	private Integer chargestatus;
	private Double energy;
	
	private Date timestamp;
	private Long tsi;
	
	
}
