package it.enea.cruise.model.structure;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;

import org.springframework.data.annotation.Immutable;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

@Entity
@Immutable
@Getter
@Setter
@ToString
@NoArgsConstructor
@Table(name="vw_foreignkey", schema="cruise")
public class ForeignKey {

	@Id
	@Column(name="columnName")
    private String columnName;
	
	@Column(name="table_schema")
	private String tableSchema;
	
	@Column(name="constraint_name")
    private String constraintName;
	
	@Column(name="tableName")
    private String tableName;
	
	@Column(name="foreign_table_schema")
    private String foreign_table_schema;
	
	@Column(name="foreign_table_name")
    private String foreign_table_name;
    
	@Column(name="foreign_column_name")
    private String foreign_column_name;
		
}
