package it.enea.cruise.service.data;

import java.util.Arrays;

import org.springframework.boot.autoconfigure.cache.CacheManagerCustomizer;
import org.springframework.cache.concurrent.ConcurrentMapCacheManager;
import org.springframework.stereotype.Component;

@Component
public class DataCacher implements CacheManagerCustomizer<ConcurrentMapCacheManager> {

		    @Override
		    public void customize(ConcurrentMapCacheManager cacheManager) {
		        cacheManager.setCacheNames(Arrays.asList("ListofFunctions","parametricqueriesmap"));
		    }
}
