package it.enea.cruise;

import it.enea.cruise.model.user.ParametricQuery;
import it.enea.cruise.repositories.user.ParametricQueryRepository;
import org.junit.Test;
import org.junit.jupiter.api.Assertions;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import jakarta.transaction.Transactional;
import java.util.Optional;

@RunWith(SpringRunner.class)
/*@ContextConfiguration(classes = {dataDBConfiguration.class})*/
@SpringBootTest
public class DataRepositoryTest {
    @Autowired
    private ParametricQueryRepository parametricQueryRepository;

    @Test
    @Transactional
    public void testIfParametricQueryCanBeQueried() {
        ParametricQuery parametricQuery = new ParametricQuery();
        parametricQuery.setName("test");
        //parametricQuery.setId(1L);
        parametricQueryRepository.save(parametricQuery);
        Optional<ParametricQuery> result = parametricQueryRepository.findById(1L);
        Assertions.assertTrue(result.isPresent());
    }
}
