export interface CommunityDTO {
    communityid?: string;
    communityName?: string;
    description?: string;
    wallet?: string;
    georeferencex?: number;
    georeferencey?: number;
}

export interface Token {
    creation? : string;
    expiration?: string;
    value?: string;
}

export interface LocalUserDTO {
    name?: string;
    surname?: string;
    organization?: string;
    email?: string;
    oldpassword?: string;
    password?: string;
    passwordRepeat?: string;
    newUser?: boolean;
    token?: Token[];
    usercommunities?: CommunityDTO[];
}

