export const environment = {
  production: true,
  // IMPORTANT: Update with production info
  baseUrl: "http://localhost:8003",
  authenticationUrl: 'http://localhost:8003/lecservice/auth/authenticate',
  authenticationType: 'oid',
  oidProvider: "KeyCloak",
  oidIssuer: 'http://localhost:8005/realms/cruise',
  oidClient: 'enea',
  oidSecret: 'password',
  oidScope: 'openid profile email',
  oidDebug: true,
  oidResponseType: 'code',
  oidHttps: false,
};